1. Command line
Prev | A. Command line options | Next

### 1. Command line

    xxe [-putpref key value]* [-putprefs property_file_or_URL]* [-delpref key]*
        ( [file_or_URL_to_be_opened]* | -last )

First `file_or_URL_to_be_opened` may be preceded by `-open` or `-print`, which are ignored. This may be useful when XXE is started by Java™ Web Start. Example: "`javaws http://www.acme.com/xxe/xxe.jnlp -open /docs/doc.xml`".

-putpref `key` `value`

  Adds or replace preference specified by `key`/`value` to the set of the user's preferences.

  The set of the user's preferences is stored in ``XXE_user_preferences_dir`/preferences.properties` and is normally modified using the Options dialog box.

  The description of each option includes a short description of the corresponding preference key. For example, in the case of the Encoding option, the preference key is `encoding`. Example:

      xxe -putpref encoding Windows-1252

  ### Note

  XXE user preferences directory is:

  - ``$HOME`/.xxe/` on Linux, Mac, and more generally, on Unix.

  - ``%APPDATA%`\XMLmind\XMLeditor\` on Windows 2000, XP, Vista.

    Example: `C:\Documents and Settings\john\Application Data\XMLmind\XMLeditor\` on Windows 2000 and XP. `C:\Users\john\AppData\Roaming\XMLmind\XMLeditor\` on Windows Vista.

-putprefs `property_file_or_URL`

  Similar to `-putpref` except that several key/value pairs may be read from specified property file. Example:

      xxe -putprefs /etc/xxe/preferences.properties

-delpref `key`

  Removes preference specified by `key` from the set of the user's preferences.

-last

  Forces XXE to reopen the last document opened during the preceding editing session. Note that this option cannot be used when one or more `file_or_URL_to_be_opened`s have been specified.

  See also the "Automatically reopen last opened document" option for a handy alternative.

Prev | Up | Next
A. Command line options | Home | 2. Environment variables